/*======================================================================*//**
 * 
 */
package myproject {
	import jp.progression.casts.*;
	import jp.progression.commands.*;
	import jp.progression.events.*;
	import jp.progression.loader.*;
	import jp.progression.*;
	import jp.progression.scenes.*;
	import flash.utils.*;
	import flash.events.*;
	
	/*======================================================================*//**
	 * IndexScene クラス
	 */
	public class IndexScene extends SceneObject {
		private var world:Papervision3DWorld;
		
		/*======================================================================*//**
		 * コンストラクタ
		 */
		public function IndexScene() {
			world = new Papervision3DWorld();
			
			var page0:SceneObject = addScene(new SceneObject("page0"));
			page0.onInit = function():void { world.gotoPage(0); };
			
			var page1:SceneObject = addScene(new SceneObject("page1"));
			page1.onInit = function():void { world.gotoPage(1); };
			
			var page2:SceneObject = addScene(new SceneObject("page2"));
			page2.onInit = function():void { world.gotoPage(2); };
			
			var page3:SceneObject = addScene(new SceneObject("page3"));
			page3.onInit = function():void { world.gotoPage(3); };
			
			var page4:SceneObject = addScene(new SceneObject("page4"));
			page4.onInit = function():void { world.gotoPage(4); };
			
			var page5:SceneObject = addScene(new SceneObject("page5"));
			page5.onInit = function():void { world.gotoPage(5); };
			
			var page6:SceneObject = addScene(new SceneObject("page6"));
			page6.onInit = function():void { world.gotoPage(6); };
			
			var page7:SceneObject = addScene(new SceneObject("page7"));
			page7.onInit = function():void { world.gotoPage(7); };
			
			var page8:SceneObject = addScene(new SceneObject("page8"));
			page8.onInit = function():void { world.gotoPage(8); };
			
			var page9:SceneObject = addScene(new SceneObject("page9"));
			page9.onInit = function():void { world.gotoPage(9); };
			
		}
		
		/*======================================================================*//**
		 * シーン移動時に目的地がシーンオブジェクト自身もしくは子階層だった場合に、階層が変更された瞬間に送出されます。
		 * このイベント処理の実行中には、addCommand() メソッド、及び insertCommand() メソッドによるコマンドの同期処理が行えます。
		 */
		protected override function _onLoad():void {
			// 実行したいコマンドを登録します。
			addCommand(
				new AddChild(progression.container, world)
			);
		}
		
		/*======================================================================*//**
		 * シーンオブジェクトが目的地だった場合に、到達した瞬間に送出されます。
		 * このイベント処理の実行中には、addCommand() メソッド、及び insertCommand() メソッドによるコマンドの同期処理が行えます。
		 */
		protected override function _onInit():void {
			/*
			addCommand(
				function():void
				{
					progression.goto(new SceneId("/index/page0"))
				}
			)
			*/
			// ↑のようにしたいのですが、
			// このタイミングではなぜか goto が起動しないのでタイマーで時間差起動させてます
			// たぶんバッドノウハウなので、解決方法を調べていきます
			var timer:Timer = new Timer(500, 1);
			timer.addEventListener(TimerEvent.TIMER_COMPLETE, timerHandler);
			timer.start();
		}
		private function timerHandler(e:TimerEvent):void
		{
			progression.goto(new SceneId("/index/page0"))
		}
		
	}
}









